# Revision history for phonetic-languages-simplified-generalized-examples-array

## 0.1.0.0 -- 2021-05-08

* First version. Released on an unsuspecting world.

## 0.1.0.1 -- 2021-05-08

* First version revised A. Some documentation and .cabal file improvements.

## 0.1.1.0 -- 2021-05-10

* First version revised B. Some documentation improvements. Changed the dependencies boundaries.

## 0.2.0.0 -- 2021-05-24

* Second version. Added new modules: Phonetic.Languages.General.Simple.Parsing, Phonetic.Languages.General.Lines.Parsing,
Phonetic.Languages.General.GetInfo.Parsing. Added README.md file with some remarks to the new modules.

## 0.2.0.1 -- 2021-05-26

* Second version revised A. Added some information to the README.md file related to the IPA and espeak-ng usage.

## 0.2.1.0 -- 2021-05-27

* Second version revised B. Added important information to the README.md file related to the ground idea.

## 0.3.0.0 -- 2021-06-04

* Third version. Changed the code related to the breaking update of the phonetic-languages-phonetics-basics package.
Now the GWritingSystemPRPLX and syllable segmentation have extended possibilities.

## 0.4.0.0 -- 2021-07-06

* Fourth version. Added a new module EspeakNG_IPA to use the espeak and IPA functionality.
For this, added mmsyn3 and process as new dependencies.

## 0.4.1.0 -- 2021-07-06

* Fourth version revised A. Fixed issues with wrong parameter for espeak that caused no language specific translation.

## 0.4.1.1 -- 2021-07-06
ː
* Fourth version revised B. Fixed spelling and stylistic issues in the documentation.

## 0.4.2.0 -- 2021-07-08

* Fourth version revised C. Added filtering possibilities and two generalized functions to the EspeakNG_IPA module.

## 0.4.2.1 -- 2021-07-08

* Fourth version revised D. Fixed issue with wrong character filtering 'ː' (that denotes the prolonged sounds in
IPA) as ':' (default colon in ACSII).

## 0.5.0.0 -- 2021-07-21

* Fifth version. Added "w" and "x" lines of the properties that uses more complex rhythmicity structures and
other properties. Changed the dependencise boundaries accordingly.

## 0.5.0.1 -- 2021-07-21

* Fifth version revised A. Fixed an issue with incomplete documentation addition to the README.md file.

## 0.6.0.0 -- 2021-07-29

* Sixth version. Changed the command line arguments modifiers notation to the small letters,
removed the double ++ sign (changed to just single +) to simplify the command line arguments usage.
Also changed the way to sign the writing to file for the Phonetic.Languages.General.Simple module.
Added new lines of properties for the (hypothetic) polyrhythmicity handling. Among them
"c", "s", "t", "u", "v" lines are. Changed the documentation appropriately. Changed the dependencies
boundaries. Added the possibility to 'grow lines' to Phonetic.Languages.General.Lines and
Phonetic.Languages.General.GetTextualInfo modules.

## 0.6.1.0 -- 2021-07-30

* Sixth version revised A. Fixed issues with the fixed point of 1.0 (arising from the issue in the dependency package
phonetic-languages-rhythmicity).

## 0.6.2.0 -- 2021-07-31

* Sixth version revised B. Changed the dependency boundaries so that the issues are fixed with '0' and not '0' functions.
Some code improvements (reduced duplication).

## 0.7.0.0 -- 2021-08-09

* Seventh version. Added information to the documentation in the pdf format. Changed the dependency boundaries
so that it now uses more linearized rhythmicity properties for polyrhythmic properties.

## 0.8.0.0 -- 2021-08-14

* Eigth version. Changed the dependency boundaries and added new weighted properties and fixed some issues with
the previous ones so that they use more complete information. Added the handler for the case of the empty line for
the Simple submodule and related functionality. Some documentation improvements.

## 0.8.1.0 -- 2021-08-15

* Eigth version revised A. Fixed issue with the wrong order and, therefore, mapping for different choices and
the corresponding properties in the module Phonetic.Languages.Simplified.Array.General.FuncRep2RelatedG2.

## 0.9.0.0 -- 2021-08-16

* Ninth version. Added new properties that try to increase the importance of the ending of the line and decrease
the importance of the beginning of the line. Added new dependency of string-interpreter. Added the possibility
to run Phonetic.Languages.General.Simple module functions in the recursive interactive mode. It is not
compatible with the contstraints so should be used not simultaneously with them (because they change their meaning).
Some documentation improvements.

## 0.10.0.0 -- 2021-08-17

* The tenth version. Added new linear weighted properties. Fixed some issues with wrong mapping. Some documentation
improvements.

## 0.10.1.0 -- 2021-08-24

* The tenth version revised. Fixed issues with the custom user defined polyrhythmicity patterns. Changed the
documentation instructions in editor. Updated the dependency boundaries accordingly.

## 0.11.0.0 -- 2021-09-04

* The eleventh version. Added new mode of multiple sources processment (+t_ ... -t). Added the possibility to
count in the recursive mode not just from the beginning of the word concatenation but also from the end using
the commonly used programming pattern of the negative integer indexing. Updated the dependencies so that now
it can use multiple improvements of the dependencies. Some documentation improvements.

## 0.11.1.0 -- 2021-09-08

* The eleventh version revised B. Fixed issue with the phonetic-languages-plus dependency being not built. Updated
the dependency boundaries.

## 0.11.2.0 -- 2021-09-09

* The eleventh version revised C. Updated the README.md file with the hyperlinks to the updated documentation
related to the usage of the related package phonetic-languages-simplified-examples-array.

## 0.11.3.0 -- 2021-09-09

* The eleventh version revised D. Updated the README.md file with the hyperlinks to the updated documentation
related to the usage of the related package phonetic-languages-simplified-examples-array.

## 0.12.0.0 -- 2021-09-14

* The twelth version. Added multiple properties mode to the Phonetic.Languages.General.Lines module and related
module and extended the comparative mode for it up to 7 different input source files. Some documentation improvements.

